Bug 789201 - Disable TM and validation in readonly editor
Disable TM and validation in readonly editor
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
medium Severity unspecified
: ---
: 1.5
Assigned To: David Mason
zanata-dev-internal
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-02-09 23:43 EST by David Mason
Modified: 2012-03-06 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:08:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-02-09 23:43:02 EST
Description of problem:
TM search should not be available in readonly editor

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Mason 2012-02-14 18:38:55 EST
Fixed in 1.5

In Read-only mode:
 - editor and validation checkboxes are completely hidden
 - filtering checkboxes and dropdown are not hidden
 - 'south' panel with TM and participants is completely hidden.

See:
https://github.com/zanata/zanata/commit/3a727c1b62adafa3312165226ce40e83af185987
https://github.com/zanata/zanata/compare/3ecdd335edef12d92f72348d4d881283453e27d2...a8a4b161c420ed8c64fcb3bae49f19c6eac86a9e
Comment 2 Alex Eng 2012-02-19 22:05:19 EST
VERIFIED in Zanata version 1.5-SNAPSHOT (20120220-1107).

Note You need to log in before you can comment on or make changes to this bug.